%define major 4
%define libname %mklibname lept %{major}
%define devname %mklibname lept -d

Summary:	C library for image processing and image analysis operations
Name:		leptonica
Version:	1.72
Release:	1
License:	MIT
Group:		Graphics
Url:		http://www.leptonica.org
Source0:	http://www.leptonica.com/source/%{name}-%{version}.tar.gz
BuildRequires:	giflib-devel
BuildRequires:	jpeg-devel
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(zlib)

%description
Well-tested C code for some basic image processing operations, along with
a description of the functions and some design methods. A full set of affine
transformations (translation, shear, rotation, scaling) on images of all depths
is included, with the exception that some of the scaling methods do not work
at all depths. There are also implementations of binary morphology, grayscale
morphology, convolution and rank order filters, and applications such as jbig2
image processing and color quantization.

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	C library for image processing and image analysis operations
Group:		System/Libraries

%description -n %{libname}
Well-tested C code for some basic image processing operations, along with
a description of the functions and some design methods. A full set of affine
transformations (translation, shear, rotation, scaling) on images of all depths
is included, with the exception that some of the scaling methods do not work
at all depths. There are also implementations of binary morphology, grayscale
morphology, convolution and rank order filters, and applications such as jbig2
image processing and color quantization.

%files -n %{libname}
%{_libdir}/liblept.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	C library for image processing and image analysis operations
Group:		Development/C
Requires:	%{libname} = %{EVRD}
Provides:	leptonica-devel = %{EVRD}

%description -n %{devname}
Well-tested C code for some basic image processing operations, along with
a description of the functions and some design methods. A full set of affine
transformations (translation, shear, rotation, scaling) on images of all depths
is included, with the exception that some of the scaling methods do not work
at all depths. There are also implementations of binary morphology, grayscale
morphology, convolution and rank order filters, and applications such as jbig2
image processing and color quantization.

This package contains development files only.

%files -n %{devname}
%doc leptonica-license.txt README.html
%{_libdir}/liblept.so
%{_libdir}/pkgconfig/lept.pc
%{_includedir}/leptonica

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%configure2_5x \
	--disable-static \
	--disable-programs
%make

%install
%makeinstall_std


%changelog

* Mon Nov 16 2015 Denis Silakov <dsilakov@gmail.com> 1.72-1
- (062bc1c) Updated to 1.72


